Package org.jboss.resteasy.plugins.providers.sse.client

## Class SseEventSourceImpl.SourceBuilder

- java.lang.Object
- - javax.ws.rs.sse.SseEventSource.Builder
  - - org.jboss.resteasy.plugins.providers.sse.client.SseEventSourceImpl.SourceBuilder

- Enclosing class:
    SseEventSourceImpl

      public static class SseEventSourceImpl.SourceBuilder
      extends javax.ws.rs.sse.SseEventSource.Builder

- - ### Field Summary

    - ### Fields inherited from class javax.ws.rs.sse.SseEventSource.Builder

      `JAXRS_DEFAULT_SSE_BUILDER_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.sse.SseEventSource.Builder` | `alwaysReconnect​(boolean alwaysReconnect)` |
    `javax.ws.rs.sse.SseEventSource` | `build()` |
    `javax.ws.rs.sse.SseEventSource.Builder` | `executor​(ScheduledExecutorService executor)` |
    `javax.ws.rs.sse.SseEventSource.Builder` | `named​(String name)` |
    `javax.ws.rs.sse.SseEventSource.Builder` | `reconnectingEvery​(long delay, TimeUnit unit)` |
    `javax.ws.rs.sse.SseEventSource.Builder` | `target​(javax.ws.rs.client.WebTarget target)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceBuilder

          public SourceBuilder()

  - ### Method Detail

    - #### named

          public javax.ws.rs.sse.SseEventSource.Builder named​(String name)

    - #### build

          public javax.ws.rs.sse.SseEventSource build()

      Specified by:
        `build` in class `javax.ws.rs.sse.SseEventSource.Builder`

    - #### target

          public javax.ws.rs.sse.SseEventSource.Builder target​(javax.ws.rs.client.WebTarget target)

      Specified by:
        `target` in class `javax.ws.rs.sse.SseEventSource.Builder`

    - #### reconnectingEvery

          public javax.ws.rs.sse.SseEventSource.Builder reconnectingEvery​(long delay,
                                                                          TimeUnit unit)

      Specified by:
        `reconnectingEvery` in class `javax.ws.rs.sse.SseEventSource.Builder`

    - #### executor

          public javax.ws.rs.sse.SseEventSource.Builder executor​(ScheduledExecutorService executor)

    - #### alwaysReconnect

          public javax.ws.rs.sse.SseEventSource.Builder alwaysReconnect​(boolean alwaysReconnect)